# a fallback, in case one langpack doesn't contain the necessary stings, just use english

class langset():
    def __init__(self):
        self.strings = {}
    def get(self, what):
        '''Similar to dict.get, this tries to get a translation,
        but if it fails, it just gives a translation error.
        In the future, it will revert to the english version instead'''
        if what in self.strings.keys():
            return self.strings[what]
        else: return "Error in translation: no such string: " + str(what)
